Subject: Re: Getting Started, 'errno' problem
From: [email-masked] (David R. Dick)

24 Oct 1998 07:47:48 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked]

> 
> 
> Hello,
> 
> I am trying to port some C code from Unix to NT.  I have
> just installed Cygwin32 Beta19 (cdk.exe).  I then installed
> the b19.1-update (new-cygwin19_dll.gz).  Lastly, I replaced
> the Cygwin32 compiler with the egcs-1.1 compiler
> (egcs-1.1-cygb19.tar.gz).  
> 
> After each step, I have tried compiling but I continue
> to get the same problems.  1) Failure to recognize where
> gcc.exe is located (gcc: permission denied) and 2)
> undefined reference to 'errno'

Try including <errno.h>

There is some fancy defining done there because "errno"
can't be a global variable and preserve re-entrancy.

David Dick
Software Innovations, Inc.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".